/*
 * uFR.h
 */

#ifndef UFR_H_
#define UFR_H_

#include "ini.h"

#define MIN_APDU_HEX_STR_LEN	5
//------------------------------------------------------------------------------
typedef const char * sz_ptr;
//------------------------------------------------------------------------------
UFR_STATUS ApduCommand(sz_ptr apdu, uint8_t *response, size_t *response_len, uint8_t *sw);
void HexStrCopyAndPurify(char *out_buff, sz_ptr in_hex_str);
size_t hex2bin_introvert(uint8_t *buff);
bool CheckDependencies(void);
sz_ptr GetDlTypeName(uint8_t dl_type_code);
//------------------------------------------------------------------------------

#endif /* UFR_H_ */
